Name: connexion
Version: 0.4.6
Release: alt6.M40.svn1392
BuildArch: noarch

Summary: Connexion
License: GPL
Group: Shells
Packager: Eugene Prokopiev <enp@altlinux.ru>
Url: http://www.radlinux.org/connexion/wiki

%add_python_lib_path %_datadir/%name
%add_python_compile_include %_datadir/%name

%add_python_lib_path %_datadir/%name-modules
%add_python_compile_include %_datadir/%name-modules

Source0: %name-%version.tar

BuildRequires: docbook-dtds docbook-style-xsl xsltproc python-module-pyasn1 python-module-pysnmp4 python-module-pysnmp-mibs python-module-egenix-mx-experimental python-module-ctypes python-module-xreadline python-module-Crypto python-module-dns python-dev
Requires: python-module-pyasn1 python-module-pysnmp4 python-module-pysnmp-mibs python-module-egenix-mx-experimental python-module-ctypes python-module-xreadline python-module-Crypto python-module-dns python-dev

Requires: connexion-modules-basedict connexion-interface-cli
Obsoletes: ncsh

%description
The Connexion project tries to implement both user and developer
friendly framework to create working environments by integrating
three major parts: services, modules and interfaces.

%package -n rt-network
Summary: rt-network utilities
Group: Networking/Other
License: GPL
%description -n rt-network
This package contains various network utilities, mainly
derived from Everisc rt-network and rt-shell projects.

%package -n python-module-cxcore
Summary: Connexion core library
Group: Development/Python
License: GPL
%description -n python-module-cxcore
Connexion core library

%package -n python-module-cxnet
Summary: Connexion low-level networking library
Group: Development/Python
License: GPL
%description -n python-module-cxnet
Low-level networking library is implemented with FFI
(Foreign Functions Interface). I is not extremely
rapid, but extremely simple.

%package -n python-module-cxutil
Summary: Connexion common utilities
Group: Development/Python
License: GPL
%description -n python-module-cxutil
Various internal utilities for Connexion project

%package interface-cli
Summary: Connexion project: command line interface
Group: Shells
License: GPL
Requires: connexion
%description interface-cli
Command line interface for Connexion project.

%package modules-basedict
Summary: Connexion project: base dictionary modules
Group: Shells
License: GPL
%description modules-basedict
Base dictionary modules for Connexion project

%package modules-events
Summary: Connexion project: event handlers
Group: Shells
License: GPL
%description modules-events
Event handling modules for Connexion project that can monitor:
* netlink (address)
* snmp traps

Planned:
* netlink (route, ... , full support)
* inotify
* process monitoring

%package modules-ncsh
Summary: Connexion project: native modules
Group: Shells
License: GPL
Requires: connexion-modules-events connexion-modules-system
Requires: iptables iproute2 rt-network bridge-utils vlan-utils dhcpcd ifrename pptp-client rp-pppoe-base
%description modules-ncsh
Native modules for network configuration for Connexion project

%package modules-heartbeat
Summary: Connexion project: heartbeat modules
Group: Shells
License: GPL
%description modules-heartbeat
Heartbeat modules for Connexion project

%package modules-system
Summary: Connexion project: system modules
Group: Shells
License: GPL
%description modules-system
System modules for Connexion project

%package docs
Group: Shells
Summary: Connexion project: static documentation
License: GPL
%description docs
Compiled docbook documentation for the Connexion project

%package full
Group: Shells
Summary: Connexion project: all packages
License: GPL
Requires: connexion-modules-ncsh connexion-modules-heartbeat connexion-docs
%description full
All packages for Connexion project

%prep
%setup

%build
cd docs
make all

%install
make install root=%buildroot
cd docs
make install docdir=%buildroot%_docdir/%name
cd ../utilities
make install root=%buildroot

%files
%_bindir/%name
%_datadir/%name
%config(noreplace) %_sysconfdir/sysconfig/%name
%dir %_sysconfdir/%name
%dir %_sysconfdir/%name/default
%config(noreplace) %_sysconfdir/%name/default/cmd
%_initdir/%name
%_var/run/%name
%doc docs/README

%files -n rt-network
%_bindir/rt-egress
%_bindir/snmplookup
%_datadir/rt-network
%_docdir/rt-network
%_man1dir/*

%files -n python-module-cxcore
%python_sitelibdir/cxcore*

%files -n python-module-cxnet
%python_sitelibdir/cxnet*

%files -n python-module-cxutil
%python_sitelibdir/cxutil*

%files interface-cli
%_datadir/%name-interface-cli
%_bindir/%name-cli

%files modules-basedict
%_datadir/%name-modules/basedict

%files modules-events
%_datadir/%name-modules/events

%files modules-ncsh
%_bindir/%name-ncsh-autodetect
%_datadir/%name-modules/ncsh
%dir %_sysconfdir/%name/ncsh
%config(noreplace) %_sysconfdir/%name/ncsh/cmd
%config(noreplace) %_sysconfdir/%name/ncsh/tree
%doc modules/README

%files modules-heartbeat
%_datadir/%name-modules/heartbeat

%files modules-system
%_datadir/%name-modules/system

%files docs
%_docdir/%name

%files full

%changelog
* Sun Sep 07 2008 Eugene Prokopiev <enp@altlinux.ru> 0.4.6-alt6.M40.svn1392
- backport to M40

* Sat Sep 06 2008 Eugene Prokopiev <enp@altlinux.ru> 0.4.6-alt7.svn1392
- new version
- add rt-network subpackage
- add required utils for connexion-modules-ncsh

* Sat Sep 06 2008 Eugene Prokopiev <enp@altlinux.ru> 0.4.6-alt6.svn1382
- new version
- package pyc/pyo files to connexion-modules-*

* Fri Sep 05 2008 Eugene Prokopiev <enp@altlinux.ru> 0.4.6-alt5.svn1381
- new version
- add connexion-full subpackage

* Fri Sep 05 2008 Eugene Prokopiev <enp@altlinux.ru> 0.4.6-alt4.svn1372
- new version
- add connexion-modules-system subpackage

* Fri Sep 05 2008 Eugene Prokopiev <enp@altlinux.ru> 0.4.6-alt3.svn1366
- new version
  + new startup scheme
  + updated docs
- remove obsoleted subpackages interface-registrator and ncsh
- add heartbeat subpackage

* Tue Sep 02 2008 Eugene Prokopiev <enp@altlinux.ru> 0.4.6-alt2.svn1310
- new version

* Sat Aug 30 2008 Eugene Prokopiev <enp@altlinux.ru> 0.4.6-alt2.svn1306
- new version

* Tue Aug 26 2008 Eugene Prokopiev <enp@altlinux.ru> 0.4.6-alt2.svn1301
- first build for Sisyphus from git

